OpenVDB 11.0.0

Loading...
Searching...
No Matches
IterTraits< NodeT, typename NodeT::ChildOffIter > Struct Template Reference

`#include <openvdb/tree/TreeIterator.h>`

## Classes
struct | NodeConverter

## Public Types
using | IterT = typename NodeT::ChildOffIter

## Static Public Member Functions
static IterT | begin (NodeT &node)
static ChildT * | getChild (const typename NodeT::ChildOffIter &)

## Member Typedef Documentation

## ◆ IterT

template<typename NodeT>

using IterT = typename NodeT::ChildOffIter

## Member Function Documentation

## ◆ begin()

template<typename NodeT>

IterT begin | ( | NodeT & | node | ) |
| inline static

## ◆ getChild()

ChildT * getChild | ( | const typename NodeT::ChildOffIter & |  | ) |
| inline static